Get Dataset Status

GET
https://api.woosmap.com/datasets/{dataset_id}/status

Returns the dataset import status.

Rate limit: 1/5s

Ratelimit: 1/5s

Authorization

private_key
apiKey query

Private key with write permission. Must stay private.

X-Api-Key
apiKey header

Private key with write permission. Must stay private.

Path Parameters

dataset_id
string required

Response

200 application/json

Successful Response

id
string (uuid) required

The id of the run, can be used in communication with the support to better identify the run.

steps
object[] required

The steps of the run, ordered by start date.

Show 5 propertiesHide 5 properties
steps. name
string required

The name of the step. Currently can only be fetch of import

Available options: fetch, import
steps. start
string (date-time) required

The date at which the step started.

steps. end
string required

The date at which the step ended or null if in progress.

steps. entries
object[] required

The log entries for the step.

Show 3 propertiesHide 3 properties
steps.entries. created_at
string (date-time) required

The date of the log entry.

steps.entries. detail
string required

The detail of the log entry.

steps.entries. level
string required

The level of the log entry.

Available options: info, warning, error
steps. status
string required

The status of the step.

Available options: success, in_progress, failed
status
string required

The status of the import run for the dataset.

Available options: success, in_progress, failed

Errors

401

Unable to locate credentials.

application/json
detail
string required
402

Out of free quota.

application/json
detail
string required
403

Credentials found, but not matching.

application/json
detail
string required
404

Dataset was not found

application/json
details
string required
422

Validation Error

application/json
detail
object[]
Show 3 propertiesHide 3 properties
detail. loc
any[] required
detail. msg
string required
detail. type
string required
429

Rate limit reached

application/json
details
string required
        curl -L 'https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0/status?private_key=YOUR_PRIVATE_API_KEY'

    
        const requestOptions = {
  method: "GET",
  redirect: "follow"
};

fetch("https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0/status?private_key=YOUR_PRIVATE_API_KEY", requestOptions)
  .then((response) => response.text())
  .then((result) => console.log(result))
  .catch((error) => console.error(error));

    
        import requests

url = "https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0/status?private_key=YOUR_PRIVATE_API_KEY"

payload = {}
headers = {}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)


    
Was this helpful?